logging:
  level:
    root: "info"
    org.eclipse.openvsx: "info"
server:
  port: 8080
spring:
  application:
    name: openvsx-server
  autoconfigure:
    exclude: org.springframework.boot.actuate.autoconfigure.tracing.zipkin.ZipkinAutoConfiguration
  datasource:
    url: jdbc:postgresql://localhost:5434/postgres
    username: openvsx
    password: openvsx
  flyway:
    baseline-on-migrate: true
    baseline-version: 0.1.0
    baseline-description: JobRunr tables
  jpa:
    open-in-view: false
    hibernate:
      ddl-auto: none
  session:
    store-type: jdbc
    jdbc:
      initialize-schema: never
  thymeleaf:
    enabled: false
  security:
    oauth2:
      client:
        registration:
          github:
            client-id: dummy-client-id
            client-secret: dummy-client-secret
management:
  health:
    livenessstate: { enabled: false }
    readinessstate: { enabled: false }
    redis: { enabled: false }
    elasticsearch: { enabled: false }
org:
  jobrunr:
    job-scheduler: { enabled: true }
    background-job-server: { enabled: false }
    dashboard: { enabled: false }
    database: { type: sql }
    miscellaneous: { allow-anonymous-data-usage: false }
bucket4j: { enabled: false }
ovsx:
  databasesearch: { enabled: true }
  elasticsearch: { enabled: false, clear-on-start: true }
  redis: { enabled: false }
  eclipse: { base-url: https://api.eclipse.org, publisher-agreement: { timezone: US/Eastern } }
  extension-control: { update-on-start: false }
  integrity: { key-pair: undefined }
  registry: { version: repro }
  storage: { local: { directory: /tmp/openvsx-storage } }
  access-token: { prefix: dev_ovsxat_, expiration: 0, notification: 0 }
  mail: { from: no-reply@example.com }
  rate-limit: { enabled: false }
  scanning:
    enabled: false
    max-archive-size-bytes: 1073741824
    max-single-file-bytes: 268435456
    max-entry-count: 100000
    blocklist-check: { enabled: false, enforced: false, required: false }
    similarity: { enabled: false, enforced: false, required: false }
    secret-detection: { enabled: false, enforced: false, required: false }
